> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v2/monitoring/extranet/status-details

> Detailed view of the reachability of the Server IP addresses from the selected (producer or consumer) Site.Lists Site-to-ServerIPAddress statuses for the selected SiteLists Edge-to-ServerIPAddress statuses for All Edges within the selected Site.Returns physical Location of the SiteReturns Region of the Site.

## OpenAPI

````json GET /v2/monitoring/extranet/status-details
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v2/monitoring/extranet/status-details": {
      "get": {
        "security": [
          {
            "jwtAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Bearer token. Format: Bearer <your_token_here>"
          },
          {
            "name": "id",
            "in": "query",
            "description": "the id associated with an entity - consumer_id for consumer, and service_id for the producer/service",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64",
              "example": 1234567891011
            },
            "example": 1
          },
          {
            "name": "isProvider",
            "in": "query",
            "description": "whether the entity is a provider or consumer",
            "required": true,
            "schema": {
              "type": "boolean",
              "example": true
            },
            "example": true
          },
          {
            "name": "serverAddress",
            "in": "query",
            "description": "the address of the server",
            "required": true,
            "schema": {
              "type": "string",
              "example": "example string"
            },
            "example": "192.168.1.1"
          },
          {
            "name": "siteId",
            "in": "query",
            "description": "the id of the site",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64",
              "example": 1234567891011
            },
            "example": 1
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/v2MonitoringExtranetStatusDetailsGetResponse"
                }
              }
            }
          }
        },
        "description": "Detailed view of the reachability of the Server IP addresses from the selected (producer or consumer) Site.Lists Site-to-ServerIPAddress statuses for the selected SiteLists Edge-to-ServerIPAddress statuses for All Edges within the selected Site.Returns physical Location of the SiteReturns Region of the Site."
      }
    }
  },
  "components": {
    "schemas": {
      "v2MonitoringExtranetStatusDetailsGetResponse": {
        "type": "object",
        "properties": {
          "edgeStatuses": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/statsmonExtranetEdgeStatus"
            }
          },
          "location": {
            "type": "string",
            "example": "Location 1",
            "description": "the location of the site"
          },
          "region": {
            "type": "string",
            "example": "Region 1",
            "description": "the region of the site"
          },
          "siteStatus": {
            "$ref": "#/components/schemas/statsmonExtranetSiteStatus"
          }
        },
        "additionalProperties": false
      },
      "statsmonExtranetEdgeStatus": {
        "type": "object",
        "properties": {
          "createdAt": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          },
          "disconnectedReason": {
            "type": "string",
            "example": "No route to the server",
            "description": "the reason for the edge being disconnected"
          },
          "hostname": {
            "type": "string",
            "example": "edge1",
            "description": "the hostname of the edge"
          },
          "id": {
            "type": "integer",
            "format": "int64",
            "example": 30000000001,
            "description": "the id of the edge/device"
          },
          "siteName": {
            "type": "string",
            "example": "site1",
            "description": "the name of the site"
          },
          "status": {
            "type": "string",
            "example": "Healthy",
            "description": "the health status of the edge (Healthy, Impaired, Down)"
          }
        },
        "additionalProperties": false
      },
      "statsmonExtranetSiteStatus": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "format": "int64",
            "example": 1,
            "description": "the id of the site"
          },
          "name": {
            "type": "string",
            "example": "site1",
            "description": "the name of the site"
          },
          "status": {
            "type": "string",
            "example": "Healthy",
            "description": "the status of the site (Healthy, Impaired, Down)"
          },
          "statuses": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/statsmonExtranetServerStatus"
            }
          }
        },
        "additionalProperties": false
      },
      "googleProtobufTimestamp": {
        "type": "object",
        "properties": {
          "nanos": {
            "type": "integer",
            "format": "int32",
            "example": 123
          },
          "seconds": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          }
        },
        "additionalProperties": false
      },
      "statsmonExtranetServerStatus": {
        "type": "object",
        "properties": {
          "address": {
            "type": "string",
            "example": "192.168.1.1",
            "description": "the IP address of the server"
          },
          "status": {
            "type": "string",
            "example": "Healthy",
            "description": "the health status of the server (Healthy, Impaired, Down)"
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

